@echo off
rem *********************************************************************
rem *                                                                   *
rem * NOME SCRIPT: EnablePasswordChange.cmd                             *
rem *                                                                   *
rem * Script scritto da Alessandro Tani (Home Works S.p.A.)             *
rem *                                                                   *
rem * Versione 1.0 - Modificato l'ultima volta il 29/02/2008            *
rem *                da Alessandro Tani                                 *
rem * SCOPO:                                                            *
rem *                                                                   *
rem *  Script per abilitare la scadenza della password a tutti gli      *
rem *  utenti di una Unit Organizzativa per i quali la scadenza della  *
rem *  risulta disabilitata.                                            *
rem *                                                                   *
rem * File di log:                                                      *
rem *                                                                   *
rem *  - %SystemDrive%\Logs\<DataCorrente>_EnablePasswordChange.log     *
rem *                                                                   *
rem *                                                                   *
rem * PREREQUISITI:                                                     *
rem *                                                                   *
rem *  Devono esistere le seguenti cartelle e file:                     *
rem *                                                                   *
rem *    - %SystemDrive%\Bin\Vbs\EnablePasswordChange.vbs               *
rem *                                                                   *
rem * TESTO:                                                            *
rem *                                                                   *
rem *  Nessuno                                                          *
rem *                                                                   *
rem *********************************************************************

rem Definiamo l'ambiente locale
setlocal enableextensions
echo.

rem Impostiamo le variabili
if [%1] equ [] goto HELP

rem Controlliamo la presenza degli script necessari all'esecuzione
if not exist %SystemDrive%\Bin\Vbs\EnablePasswordChange.vbs goto NOSCRIPTS

rem Abilitiamo la scadenza della password
cscript //nologo %SystemDrive%\Bin\Vbs\EnablePasswordChange.vbs %1
goto END

:NOSCRIPTS
echo Il file %SystemDrive%\Bin\Vbs\EnablePasswordChange.vbs non esiste. 
echo Pertanto non e' possibile proseguire nell'esecuzione dello script. 
echo Controlla che il file esista.
echo.
goto HELP

:HELP
Echo Script per abilitare la scadenza della password a tutti gli
Echo utenti di una Unita' Organizzativa per i quali la scadenza della
Echo password risulta disabilitata.
Echo.
Echo Sintassi:
Echo.
Echo   EnbalePasswordChange ^<Distinguished_Name_OU^>
Echo.
Echo Dove:
Echo.
Echo   ^<Distinguished_Name_OU^>: Distinguished Name della Unita' Organizzativa
Echo.
Echo Esempio:
Echo.
Echo   EnablePasswordChange "OU=Internal_Users,OU=My_Users,DC=homeworks,DC=it"

:END
echo.
endlocal
exit /b